Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class ASN1PrintableString

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ASN1Primitive
              org.bouncycastle.asn1.ASN1PrintableString

All Implemented Interfaces:
  ASN1Encodable, ASN1String, Encodable

Direct Known Subclasses:
  DERPrintableString

public abstract class ASN1PrintableString
extends ASN1Primitive
implements ASN1String

ASN.1 PrintableString object.

X.680 section 37.4 defines PrintableString character codes as ASCII subset of following characters:

Latin capital letters: 'A' .. 'Z' Latin small letters: 'a' .. 'z' Digits: '0'..'9' Space Apostrophe: '\'' Left parenthesis: '(' Right parenthesis: ')' Plus sign: '+' Comma: ',' Hyphen-minus: '-' Full stop: '.' Solidus: '/' Colon: ':' Equals sign: '=' Question mark: '?'

Explicit character set escape sequences are not allowed.

Method Summary
`static ASN1PrintableString` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)` Return a Printable String from a tagged object.
`static ASN1PrintableString` | `getInstance(java.lang.Object obj)` Return a printable string from the passed in object.
`byte[]` | `getOctets()`
`java.lang.String` | `getString()` Return a Java String representation of this STRING type's content.
`static ASN1PrintableString` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`int` | `hashCode()`
`static boolean` | `isPrintableString(java.lang.String str)` return true if the passed in String can be represented without loss as a PrintableString, false otherwise.
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Primitive
`encodeTo, encodeTo, equals, equals, equals, fromByteArray, toASN1Primitive`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`getEncoded, getEncoded, hasEncodedTagValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static ASN1PrintableString getInstance(java.lang.Object obj)

  Return a printable string from the passed in object.

  Parameters:
    `obj` - an ASN1PrintableString or an object that can be converted into one.
  Returns:
    an ASN1PrintableString instance, or null.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static ASN1PrintableString getInstance(ASN1TaggedObject taggedObject,
                                                  boolean declaredExplicit)

  Return a Printable String from a tagged object.

  Parameters:
    `taggedObject` - the tagged object holding the object we want
    `declaredExplicit` - true if the object is meant to be explicitly tagged false otherwise.
  Returns:
    an ASN1PrintableString instance, or null.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getTagged

    public static ASN1PrintableString getTagged(ASN1TaggedObject taggedObject,
                                                boolean declaredExplicit)

### getString

    public final java.lang.String getString()

  Description copied from interface: `ASN1String`
  Return a Java String representation of this STRING type's content.

  Specified by:
    `getString` in interface `ASN1String`
  Returns:
    a Java String representation of this STRING.

### getOctets

    public final byte[] getOctets()

### hashCode

    public final int hashCode()

  Specified by:
    `hashCode` in class `ASN1Primitive`

### toString

    public java.lang.String toString()

### isPrintableString

    public static boolean isPrintableString(java.lang.String str)

  return true if the passed in String can be represented without loss as a PrintableString, false otherwise.

  Returns:
    true if in printable set, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD